import os
from setuptools import setup
from elisa.core.utils.dist import find_packages, TrialTest, Clean

packages, package_dir = find_packages(os.path.dirname(__file__))
cmdclass = dict(test=TrialTest, clean=Clean)

setup(name='elisa-plugin-amp',
    version='0.4', 
    description='Asynchronous Messaging Protocol implementation',
    long_description='Asynchronous Messaging Protocol implementation for communication between Moovida processes.',
    license='GPL', 
    author='Moovida Developers',
    author_email='elisa@lists.fluendo.com',
    keywords='',
    namespace_packages=['elisa', 'elisa.plugins'],
    packages=packages,
    package_dir=package_dir,
    package_data={'': []},
    entry_points="""\
    [distutils.setup_keywords]
    controller_mappings = elisa.core.utils.dist:assert_list_of_string_tuples_or_none
    decorator_mappings = elisa.core.utils.dist:assert_list_of_string_tuples_or_none

    [egg_info.writers]
    controller_mappings.txt = elisa.core.utils.dist:write_mappings
    decorator_mappings.txt = elisa.core.utils.dist:write_mappings
    """,
    cmdclass=cmdclass)
