import os
from setuptools import setup
from elisa.core.utils.dist import find_packages, TrialTest, Clean

packages, package_dir = find_packages(os.path.dirname(__file__))
cmdclass = dict(test=TrialTest, clean=Clean)

setup(name='elisa-plugin-discogs',
    version='0.2', 
    description='Retrieve artist pictures from Discogs.com',
    license='GPL3', 
    author='Moovida Developers',
    author_email='elisa@lists.fluendo.com',
    namespace_packages=['elisa', 'elisa.plugins'],
    packages=packages,
    package_dir=package_dir,
    entry_points="""
    [elisa.core.components.resource_provider]
    DiscogsResource = elisa.plugins.discogs.discogs_resource:DiscogsResource
    """,
    cmdclass=cmdclass)
