import os
from setuptools import setup
from elisa.core.utils.dist import find_packages, TrialTest, Clean

packages, package_dir = find_packages(os.path.dirname(__file__))
cmdclass = dict(test=TrialTest, clean=Clean)

setup(name='elisa-plugin-filtered-shares',
    version='0.2', 
    description='Get a list of filtered network shares',
    license='GPL3', 
    author='Moovida Developers',
    author_email='elisa@lists.fluendo.com',
    namespace_packages=['elisa', 'elisa.plugins'],
    packages=packages,
    package_dir=package_dir,
    cmdclass=cmdclass,
    entry_points="""
    [elisa.core.components.resource_provider]
    FilteredSharesResource = elisa.plugins.filtered_shares.filtered_shares_resource:FilteredSharesResource
    """)
